
#ifdef WIN32
	#include <windows.h>
	#include "resource.h"
	#pragma comment(lib, "Irrlicht.lib")	
#endif

#include <irrlicht.h>

using namespace irr;
using namespace core;
using namespace video;


#ifdef WIN32
	int WINAPI WinMain(HINSTANCE hInst, HINSTANCE hPrevInst, LPSTR strCmdLine, int nShowCmd)
#else
	int main()
#endif
{
	IrrlichtDevice *device = createDevice(EDT_OPENGL,dimension2d<s32>(320,240),16,false,false,false);
	IVideoDriver *driver = device->getVideoDriver();

	//EChE^Cgݒ
	device->setWindowCaption(L"Irrlicht");

	//ACRύXiEXE̓\[XǉOKj
	HWND hWnd = FindWindow(NULL,"IrrLicht"); 
	HICON hIcon = (HICON)LoadIcon(hInst, MAKEINTRESOURCE(IDI_ICON1));//\[X
	SendMessage(hWnd,WM_SETICON,ICON_SMALL,(LPARAM)hIcon);

	//ACR𒼐ڕύXꍇ
	//HICON hIcon = (HICON)LoadImage(NULL,"icon.ico",IMAGE_ICON,0,0,LR_LOADFROMFILE);


	while(device->run())
	{
		driver->beginScene(true,true,0xFF6060FF);
		driver->endScene();
	}

	driver->drop();

	return 0;
}